io.vertx.reactivex.servicediscovery.types

## Class HttpEndpoint

- java.lang.Object
- - io.vertx.reactivex.servicediscovery.types.HttpEndpoint

-     public class HttpEndpoint
      extends Object

  for HTTP endpoint (REST api). Consumers receive a HTTP client configured with the host and port of the endpoint.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<HttpEndpoint>` | `__TYPE_ARG`
    `static String` | `TYPE`
    `static String` | `UNKNOWN` Unknown type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpEndpoint(HttpEndpoint delegate)`
    `HttpEndpoint(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, boolean ssl, String host, int port, String root, JsonObject metadata)` Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but let you configure whether or not the service is using `https`.
    `static Record` | `createRecord(String name, String host)` Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata, using the port 80 and using "/" as root.
    `static Record` | `createRecord(String name, String host, int port, String root)` Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata.
    `static Record` | `createRecord(String name, String host, int port, String root, JsonObject metadata)` Convenient method to create a record for a HTTP endpoint.
    `boolean` | `equals(Object o)`
    `static void` | `getClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<HttpClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject conf, Handler<AsyncResult<HttpClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<HttpClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getClient(ServiceDiscovery discovery, JsonObject filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getClient(ServiceDiscovery discovery, JsonObject filter, JsonObject conf, Handler<AsyncResult<HttpClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `HttpEndpoint` | `getDelegate()`
    `static void` | `getWebClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getWebClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<WebClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getWebClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getWebClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject conf, Handler<AsyncResult<WebClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getWebClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getWebClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<WebClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getWebClient(ServiceDiscovery discovery, JsonObject filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static void` | `getWebClient(ServiceDiscovery discovery, JsonObject filter, JsonObject conf, Handler<AsyncResult<WebClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `int` | `hashCode()`
    `static HttpEndpoint` | `newInstance(HttpEndpoint arg)`
    `static Single<HttpClient>` | `rxGetClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Single<HttpClient>` | `rxGetClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Single<HttpClient>` | `rxGetClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Single<HttpClient>` | `rxGetClient(ServiceDiscovery discovery, JsonObject filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Single<WebClient>` | `rxGetWebClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Single<WebClient>` | `rxGetWebClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Single<WebClient>` | `rxGetWebClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Single<WebClient>` | `rxGetWebClient(ServiceDiscovery discovery, JsonObject filter, JsonObject conf)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HttpEndpoint> __TYPE_ARG

    - #### UNKNOWN

          public static final String UNKNOWN

      Unknown type.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpEndpoint

          public HttpEndpoint(HttpEndpoint delegate)

    - #### HttpEndpoint

          public HttpEndpoint(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HttpEndpoint getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            String host,
                                            int port,
                                            String root,
                                            JsonObject metadata)

      Convenient method to create a record for a HTTP endpoint.
      Parameters:
        `name` - the service name
        `host` - the host (IP or DNS name), it must be the _public_ IP / name
        `port` - the port, it must be the _public_ port
        `root` - the path of the service, "/" if not set
        `metadata` - additional metadata
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            boolean ssl,
                                            String host,
                                            int port,
                                            String root,
                                            JsonObject metadata)

      Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but let you configure whether or not the service is using `https`.
      Parameters:
        `name` - the service name
        `ssl` - whether or not the service is using HTTPS
        `host` - the host (IP or DNS name), it must be the _public_ IP / name
        `port` - the port, it must be the _public_ port
        `root` - the path of the service, "/" if not set
        `metadata` - additional metadata
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String host,
                                            int port,
                                            String root)

      Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata.
      Parameters:
        `name` - the service name
        `host` - the host, must be public
        `port` - the port
        `root` - the root, if not set "/" is used
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String host)

      Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata, using the port 80 and using "/" as root.
      Parameters:
        `name` - the name
        `host` - the host
      Returns:
        the created record

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       JsonObject filter,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       JsonObject filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional

    - #### rxGetClient

          public static Single<HttpClient> rxGetClient(ServiceDiscovery discovery,
                                                       JsonObject filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          JsonObject filter,
                                          Handler<AsyncResult<WebClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          JsonObject filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional

    - #### rxGetWebClient

          public static Single<WebClient> rxGetWebClient(ServiceDiscovery discovery,
                                                         JsonObject filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       JsonObject filter,
                                       JsonObject conf,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `conf` - the configuration of the client
        `resultHandler` - The result handler

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       JsonObject filter,
                                       JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `conf` - the configuration of the client

    - #### rxGetClient

          public static Single<HttpClient> rxGetClient(ServiceDiscovery discovery,
                                                       JsonObject filter,
                                                       JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `conf` - the configuration of the client
      Returns:

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          JsonObject filter,
                                          JsonObject conf,
                                          Handler<AsyncResult<WebClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `conf` - the configuration of the client
        `resultHandler` - The result handler

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          JsonObject filter,
                                          JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `conf` - the configuration of the client

    - #### rxGetWebClient

          public static Single<WebClient> rxGetWebClient(ServiceDiscovery discovery,
                                                         JsonObject filter,
                                                         JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `conf` - the configuration of the client
      Returns:

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       java.util.function.Function<Record,Boolean> filter,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `resultHandler` - The result handler

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter

    - #### rxGetClient

          public static Single<HttpClient> rxGetClient(ServiceDiscovery discovery,
                                                       java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
      Returns:

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          java.util.function.Function<Record,Boolean> filter,
                                          Handler<AsyncResult<WebClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `resultHandler` - The result handler

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter

    - #### rxGetWebClient

          public static Single<WebClient> rxGetWebClient(ServiceDiscovery discovery,
                                                         java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
      Returns:

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       java.util.function.Function<Record,Boolean> filter,
                                       JsonObject conf,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `conf` - the configuration of the client
        `resultHandler` - The result handler

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       java.util.function.Function<Record,Boolean> filter,
                                       JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `conf` - the configuration of the client

    - #### rxGetClient

          public static Single<HttpClient> rxGetClient(ServiceDiscovery discovery,
                                                       java.util.function.Function<Record,Boolean> filter,
                                                       JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `conf` - the configuration of the client
      Returns:

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          java.util.function.Function<Record,Boolean> filter,
                                          JsonObject conf,
                                          Handler<AsyncResult<WebClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `conf` - the configuration of the client
        `resultHandler` - The result handler

    - #### getWebClient

          public static void getWebClient(ServiceDiscovery discovery,
                                          java.util.function.Function<Record,Boolean> filter,
                                          JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `conf` - the configuration of the client

    - #### rxGetWebClient

          public static Single<WebClient> rxGetWebClient(ServiceDiscovery discovery,
                                                         java.util.function.Function<Record,Boolean> filter,
                                                         JsonObject conf)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails. This method accepts a configuration for the HTTP client.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter
        `conf` - the configuration of the client
      Returns:

    - #### newInstance

          public static HttpEndpoint newInstance(HttpEndpoint arg)

Copyright © 2021 Eclipse. All rights reserved.